/*************************************************************************
 ** mmu.library                                                         **
 **                                                                     **
 ** a system library for arbitration and control of the MC68K MMUs      **
 **                                                                     **
 **  1998 THOR-Software, Thomas Richter                                **
 ** No commercial use, reassembly, modification without prior, written  **
 ** permission of the authors.                                          **
 ** Including this library in any commercial software REQUIRES a        **
 ** written permission and the payment of a small fee.                  **
 **                                                                     **
 **---------------------------------------------------------------------**
 ** mmu.library prototypes						**
 *************************************************************************/

#ifndef CLIB_MMU_PROTOS_H
#define CLIB_MMU_PROTOS_H

#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif

#ifndef MMU_CONTEXT_H
#include <mmu/context.h>
#endif

void *AllocAligned(ULONG bytesize,ULONG reqments,ULONG alignment);
struct MinList *GetMapping(struct Context *);
void ReleaseMapping(struct Context *);
ULONG GetPageSize(struct Context *);
UBYTE GetMMUType(void);
struct MMUConfig *GetMMUConfig(void);
void ReleaseMMUConfig(struct MMUConfig *);

#endif
