/*************************************************************************
 ** mmu.library                                                         **
 **                                                                     **
 ** a system library for arbitration and control of the MC68K MMUs      **
 **                                                                     **
 **  1998 THOR-Software, Thomas Richter                                **
 ** No commercial use, reassembly, modification without prior, written  **
 ** permission of the authors.                                          **
 ** Including this library in any commercial software REQUIRES a        **
 ** written permission and the payment of a small fee.                  **
 **                                                                     **
 **---------------------------------------------------------------------**
 ** MMU library specific alerts						**
 *************************************************************************/

#ifndef MMU_ALERTS_H
#define MMU_ALERTS_H

/* MMU library alert identifier */

#define AN_MMULib   0x3e000000

#define AN_NoUtility 0x3e02800c   
/* Library init failed to open the utility library */

#define AN_NoExpansion 0x3e02800a   
/* Library init failed to open the expansion library */

#define AN_ContextOpen 0x3e090001   
/* while flushing the library, a context was still in use */

#define AN_BadFreePool 0x3e018005   
/* the internal memory pool is damaged */

#define AN_NoPoolMem 0x3e018001   
/* no memory to build the pool on lib init */

#define AN_NoContext 0x3e018002   
/* failure building the context */

#define AN_MMUInit 0x3e000002   
/* MMU Init vector failed */

#define AN_IllegalTT 0x3e000003   
/* transparent translation mode unsupported */

#define AN_IllegalMMU 0x3e000004   
/* MMU table layout not supported */

#endif
